---
title: itemtype
slug: Web/HTML/Global_attributes/itemtype
tags:
  - Attribute
  - Global attribute
  - HTML
  - HTML Microdata
  - Microdata
  - Reference
---
<div>{{HTMLSidebar("Global_attributes")}}</div>

<p><span class="seoSummary">The <a href="/en-US/docs/Web/HTML/Global_attributes">global attribute</a><strong> <code>itemtype</code> </strong>specifies the URL of the vocabulary that will be used to define <code>itemprop</code>'s (item properties) in the data structure. </span>{{htmlattrxref("itemscope")}} is used to set the scope of where in the data structure the vocabulary set by <code>itemtype</code> will be active.</p>

<p>Google and other major search engines support the <a href="http://schema.org/">schema.org</a> vocabulary for structured data. This vocabulary defines a standard set of type names and property names. For example, <code><a href="http://schema.org/MusicEvent">MusicEvent</a> </code>indicates a concert performance, with <code><a href="http://schema.org/startDate">startDate</a></code> and <code><a href="http://schema.org/location">location</a></code> properties specifying the concert's key details. In this case, <a href="http://schema.org/MusicEvent"><code>MusicEvent</code> </a>would be the URL used by <code>itemtype</code>, with <code>startDate</code> and location as <code>itemprop</code>'s which <code><a href="http://schema.org/MusicEvent">MusicEvent</a></code> defines.</p>

<div class="note">
<p><strong>Note:</strong> More about <code>itemtype</code> attributes can be found at <a href="http://schema.org/Thing">http://schema.org/Thing</a></p>
</div>

<ul>
 <li>The <strong>itemtype </strong>attribute must have a value that is an unordered set of unique tokens which are case-sensitive, each is a valid and absolute URL, and all defined to use the same vocabulary. The attribute's value must have at least one token.</li>
 <li>The item types must all be types defined in applicable specifications (such as <a href="http://schema.org/">schema.org</a>), and must all be defined to use the same vocabulary.</li>
 <li>The itemtype attribute can only be specified on elements which have an itemscope attribute specified.</li>
 <li>The itemid attribute can only be specified on elements which have both an itemscope attribute and an itemtype attribute specified. They must only be specified on elements with an itemscope attribute, whose itemtype attribute specifies a vocabulary not supporting global identifiers for items, as defined by that vocabulary's specification.</li>
 <li>The exact meaning of a global identifier is determined by the vocabulary's specification. It is left to such specifications to define whether multiple items of the same global identifier (whether on the same page or different pages) are allowed to exist, and what processing rules for that vocabulary are, with respect to handling the case of multiple items with the same ID.</li>
</ul>

<h3 id="Simple_example">Simple example</h3>

<h4 id="HTML">HTML</h4>

<pre class="brush: html">&lt;div itemscope itemtype="http://schema.org/Product"&gt;
  &lt;span itemprop="brand"&gt;ACME&lt;/span&gt;
  &lt;span itemprop="name"&gt;Executive Anvil&lt;/span&gt;
&lt;/div&gt;</pre>

<h4 id="Structured_data">Structured data</h4>

<table class="standard-table">
 <tbody>
  <tr>
   <td rowspan="4">itemscope</td>
   <td>itemtype</td>
   <td colspan="2" rowspan="1">schema.org Product</td>
  </tr>
  <tr>
   <td>itemprop</td>
   <td>name</td>
   <td>Executive Anvil</td>
  </tr>
  <tr>
   <td>itemprop</td>
   <td colspan="2" rowspan="1">brand [Thing]</td>
  </tr>
  <tr>
   <td>itemprop</td>
   <td>name</td>
   <td>ACME</td>
  </tr>
 </tbody>
</table>

<h2 id="Example">Example</h2>

<h3 id="HTML_2">HTML</h3>

<pre class="brush: html">&lt;div itemscope itemtype="http://schema.org/Product"&gt;
  &lt;span itemprop="brand"&gt;ACME&lt;br&gt;&lt;/span&gt;
  &lt;span itemprop="name"&gt;Executive Anvil&lt;br&gt;&lt;/span&gt;
  &lt;img itemprop="image" src="https://pixabay.com/static/uploads/photo/2015/09/05/18/15/suitcase-924605_960_720.png" width="50" height="50" alt="Executive Anvil logo" /&gt;&lt;br&gt;

&lt;span itemprop="description"&gt;Sleeker than ACME's Classic Anvil, the
    Executive Anvil is perfect for the business traveler
    looking for something to drop from a height.
  &lt;br&gt;
&lt;/span&gt;

  Product #: &lt;span itemprop="mpn"&gt;925872&lt;br&gt;&lt;/span&gt;
  &lt;span itemprop="aggregateRating" itemscope itemtype="http://schema.org/AggregateRating"&gt;
    Rating: &lt;span itemprop="ratingValue"&gt;4.4&lt;/span&gt; stars, based on &lt;span itemprop="reviewCount"&gt;89
      &lt;/span&gt; reviews
  &lt;/span&gt;&lt;p&gt;

&lt;span itemprop="offers" itemscope itemtype="http://schema.org/Offer"&gt;
    Regular price: $179.99&lt;br&gt;
    &lt;meta itemprop="priceCurrency" content="USD" /&gt;
    &lt;span itemprop="price"&gt;Sale price: $119.99&lt;br&gt;&lt;/span&gt;
    (Sale ends &lt;time itemprop="priceValidUntil" datetime="2020-11-05"&gt;
      5 November!&lt;/time&gt;)&lt;br&gt;
    Available from: &lt;span itemprop="seller" itemscope itemtype="http://schema.org/Organization"&gt;
                      &lt;span itemprop="name"&gt;Executive Objects&lt;br&gt;&lt;/span&gt;
                    &lt;/span&gt;
    Condition: &lt;link itemprop="itemCondition" href="http://schema.org/UsedCondition"/&gt;Previously owned,
      in excellent condition&lt;br&gt;
    &lt;link itemprop="availability" href="http://schema.org/InStock"/&gt;In stock! Order now!
&lt;/span&gt;

&lt;/div&gt;</pre>

<h3 id="Result">Result</h3>

<h4 id="HTML_3">HTML</h4>

<p>{{EmbedLiveSample('HTML_2', '300', '400', '', 'Web/HTML/Global_attributes/itemtype')}}</p>

<h4 id="Structured_data_2">Structured data</h4>

<table class="standard-table">
 <tbody>
  <tr>
   <td colspan="1" rowspan="7">itemscope</td>
   <td>itemtype</td>
   <td colspan="2" rowspan="1">Product (http://schema.org/Product)</td>
  </tr>
  <tr>
   <td>itemprop</td>
   <td>name</td>
   <td>Executive Anvil</td>
  </tr>
  <tr>
   <td>itemprop</td>
   <td>image</td>
   <td>https://pixabay.com/static/uploads/photo/2015/09/05/18/15/suitcase-924605_960_720.png</td>
  </tr>
  <tr>
   <td>itemprop</td>
   <td>description</td>
   <td>Sleeker than ACME's Classic Anvil, the Executive Anvil is perfect for the business traveler looking for something to drop from a height.</td>
  </tr>
  <tr>
   <td>itemprop</td>
   <td>mpn</td>
   <td>925872</td>
  </tr>
  <tr>
   <td>itemprop</td>
   <td>brand [Thing]</td>
   <td> </td>
  </tr>
  <tr>
   <td>itemprop</td>
   <td>name</td>
   <td>ACME</td>
  </tr>
  <tr>
   <td colspan="1" rowspan="9">itemscope</td>
   <td>itemprop[itemtype]</td>
   <td>aggregateRating[AggregateRating]</td>
   <td> </td>
  </tr>
  <tr>
   <td>itemprop</td>
   <td>ratingValue</td>
   <td>4.4</td>
  </tr>
  <tr>
   <td>itemprop</td>
   <td>reviewCount</td>
   <td>89</td>
  </tr>
  <tr>
   <td>itemprop</td>
   <td>offers [Offer]</td>
   <td>http://schema.org/Offer</td>
  </tr>
  <tr>
   <td>itemprop</td>
   <td>priceCurrency</td>
   <td>USD</td>
  </tr>
  <tr>
   <td>itemprop</td>
   <td>price</td>
   <td>119.99</td>
  </tr>
  <tr>
   <td>itemprop</td>
   <td>priceValidUntil</td>
   <td>2020-11-05</td>
  </tr>
  <tr>
   <td>itemprop</td>
   <td>itemCondition</td>
   <td>http://schema.org/UsedCondition</td>
  </tr>
  <tr>
   <td>itemprop</td>
   <td>availability</td>
   <td>http://schema.org/InStock</td>
  </tr>
  <tr>
   <td colspan="1" rowspan="2">itemscope</td>
   <td>itemprop[itemtype]</td>
   <td>seller [Organization]</td>
   <td>http://schema.org/Organization</td>
  </tr>
  <tr>
   <td>itemprop</td>
   <td>name</td>
   <td>Executive Objects</td>
  </tr>
 </tbody>
</table>

<div class="note">
<p><strong>Note</strong>: A handy tool for extracting microdata structures from HTML is Google's <a href="https://developers.google.com/structured-data/testing-tool/">Structured Data Testing Tool</a>. Try it on the HTML shown above</p>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML Microdata', "#dfn-itemtype", "itemtype")}}</td>
   <td>{{Spec2('HTML Microdata')}}</td>
   <td> </td>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', "microdata.html#attr-itemtype", "itemprop")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("html.global_attributes.itemtype")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/HTML/Global_attributes">Other different global attributes</a></li>
 <li>Other, microdata related, global attributes:
  <ul>
   <li>{{htmlattrxref("itemid")}}</li>
   <li>{{htmlattrxref("itemprop")}}</li>
   <li>{{htmlattrxref("itemref")}}</li>
   <li>{{htmlattrxref("itemscope")}}</li>
   <li>{{htmlattrxref("itemtype")}}</li>
  </ul>
 </li>
</ul>
